<?php
//<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
//sigurnost:
if (!defined('SIGURICA')) die('Nedozvoljen pristup!');
if ($prava_pristup_admin!=1) die('Nedozvoljen pristup!');

$sheet_id=$_GET[sheet_id];

$sql99="select ime from b7_stylesheet where id='$sheet_id'";
$rez99 = mysql_query($sql99, $conn);
if ($rez) {
	list($ime) = mysql_fetch_row($rez99);
	
	
	//obrisi iz baze
	$sql = "DELETE FROM b7_stylesheet WHERE id='$sheet_id'";
	$result = mysql_query($sql, $conn);
	if (!$result) {
		$error.='Dogodila se greška pri zapisu u bazu: '.mysql_error();
	} else {
		//obrisi file
		$del = '../' . $ime;
		$rez=unlink($del);
		if (!$rez) {
			$error.='Dogodila se greška pri brisanju fajla';
		}
	}
} else {
	$error.='Podatak nije moguće obrisati iz baze: '.mysql_error();
}
?>
<div id="main_content">
<h1>Brisanje podataka iz baze</h1>
<?php
if ($error) echo '<div class="greska">'.$error.'</div>'."\n";
if (empty($error)) {
	$uspjeh.='Uspješno obrisan podatak iz baze!<br />';
}
if ($uspjeh) echo '<div class="uspjeh">'.$uspjeh.'</div>'."\n";
?>
<br />
<br />
<a class="gray_normal toggleopacity" href="glavna.php?modul=site_admin&amp;akcija=list_style_sheets"><img src="slike/action_back.gif" width="16" height="16" alt="" border="0" /> <b>Povratak</b></a>
<br />
<br />
</div>